@import url(extra_styles/material_input.css);
@import url(extra_styles/loadAnimation.css);
@import url(extra_styles/modal-headers.css);
@import url(extra_styles/gmaps.css);
@import url(extra_styles/fab.css);
@import url(extra_styles/tableSorter.css);
@import url(extra_styles/bootstrap-borders.css);

body {
    min-width: 360px;
    overflow-x: hidden;
    overflow-y: scroll;

}

button:disabled {
    cursor: not-allowed;
}

.thumb {
    max-height: 20px;
    max-width: 20px;
}

.menu_image {
    height: 35px;
    width: 35px;
}

.sticky-top {
    position: -webkit-sticky;
    position: sticky;
    top: 0;
    z-index: 1020;
}

.footer {
    width: 100%;
    height: 40px;
    /* Set the fixed height of the footer here */
    line-height: 40px;
    /* Vertically center the text there */
    font-size: 75%;
    background-color: #E9ECEF;
}

#fast_action {
    border: solid 1px #DFDFDF !important;
}

.icon_menu {
    font-size: 16px;
}

.menu_link,
.user_group_link,
.menu_line {
    width: 100%;
    padding: 2px 5px;
    border-radius: 5px;
}

.menu_link:hover,
.user_group_link:hover,
.menu_line:hover {
    background-color: dimgrey;
    color: white;
    cursor: pointer;
}

.extra_settings {
    display: none;
    margin-left: -15px;
}

#error_div {
    position: fixed;
    z-index: 2500 !important;
}

#error_div,
#login_alert {
    display: none;
}

.modal_background {
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

#croppie_image {
    margin: 15px;
    width: 300px;
    height: 300px;
}

#permits,
#group_action_div,
#user_action_div {
    display: none;
}

.loader {
    background-color: rgb(0, 0, 0);
    /* Fallback color */
    background-color: rgba(0, 0, 0, 0.4);
    /* Black w/ opacity */
}

.gradient {
    background: rgb(255, 255, 255);
    background: linear-gradient(180deg, rgba(255, 255, 255, 0) 0%, rgba(255, 255, 255, 0) 46%, rgba(0, 0, 0, 0.125) 100%);
    text-align: center;
    height: 300px;
}

.card .invalid {
    border-color: #dc3545;
}

.mini_image {
    height: 20px;
    width: 20px;
    clip-path: circle(10px at center);
}

.slct-style-normal {
    background-color: white;
    border: 1px solid #ced4da;
}

.slct-style-invalid {
    background-color: white;
    border: 1px solid #dc3545;
}

.form-control.is-disabled,
.slct-style-disabled,
input[readonly],
textarea[readonly],
input[disabled],
textarea[disabled] {
    background-color: #E9ECEF !important;
    color: black !important;
    /*border: none !important;*/
    opacity: 1 !important;
}

.nav-item.nav-link.active {
    font-weight: 500;
}

.nav-item.nav-link:not(.active) {
    font-size: 1rem;
    font-weight: 400;
    line-height: 1.5;
    color: #212529;
    text-decoration: none;
}

div.tooltip-inner {
    white-space: nowrap;
    max-width: none;
}

.clean_append_left {
    background-color: transparent !important;
    border-left: none !important;
}

.clean_append_right {
    background-color: transparent !important;
    border-right: none !important;
}

.color_line:nth-of-type(odd) {
    background-color: #F8F9FA;
}

.fixed_header_table {
    width: 100%;
    height: 550px;
    overflow: auto;
    border: 1px lightgray solid;
    border-radius: .25rem;
}

th {
    background-color: white;
    border: 1px 0 2px 0 solid grey;
}

#sidebar-wrapper {
    z-index: 10000;
    position: fixed;
    width: 41px;
    height: 100%;
    overflow-y: auto;
    background: #343A40;
    border-right: 1px #343A40 solid;
}

#body-wrapper {
    margin-left: 50px;
    margin-right: 10px;
}

.menuDiv {
    width: 350px;
    height: 55px;
    position: relative
}

.linkLine {
    cursor: pointer;
}

.ghost {
    position: absolute;
    left: 0;
    top: 0;
    height: 55px;
    width: 0;
    background-color: darkred;
    z-index: -1;
}

#toastContainer {
    position: fixed;
    z-index: 99999;
}

@media screen and (min-width: 768px) {
    #sidebar-wrapper {
        padding-top: 10px;
        transition: width 300ms ease-in-out;
    }

    #toastContainer {
        top: 55px;
    }
}

@media screen and (max-width: 767.98px) {
    #sidebar-wrapper {
        display: none;
        padding-top: 10px;

    }

    #body-wrapper {
        margin: 0 15px;
    }

    #toastContainer {
        bottom: 0;
    }

}

.no_hover,
.no_hover:hover,
.no_hover:focus {
    text-decoration: none !important;
    color: inherit;
}

.side_menu_icon {
    filter: invert(99%) sepia(1%) saturate(446%) hue-rotate(268deg) brightness(115%) contrast(100%);
    height: 1, 5em;
    width: 1, 5em;
}

.side_menu_arrow {
    position: absolute;
    right: 10px;
}

.innerMenu {
    background-color: #FFFFFF;
    border-bottom-right-radius: 7px;
}

.innerMenu :first-child {
    padding-top: 15px;
}

.innerMenu :last-child {
    padding-bottom: 15px;
}

.no_height {
    height: 0;
    overflow: hidden
}

#sidebar-wrapper::-webkit-scrollbar,
.table_content::-webkit-scrollbar,
#resumoDiv::-webkit-scrollbar {
    width: 0;
}

.navbar,
footer {
    opacity: 1;
    transition: opacity 0.5s ease;
}

.navbar-hide {
    pointer-events: none;
    opacity: 0;
}

.menuButton {
    cursor: pointer;
    border: rgba(0, 0, 0, .1) solid 1px;
    border-radius: 5px;
    padding: 4px 12px;
}

.menuButtonBar1,
.menuButtonBar2,
.menuButtonBar3 {
    width: 30px;
    height: 3px;
    border-radius: 1px;
    background-color: rgba(110, 110, 110);
    margin: 5px 0;
    transition: 0.4s ease-in-out;
}

.change .menuButtonBar1 {
    -webkit-transform: translate(0, 8px) rotate(-45deg);
    transform: translate(0, 8px) rotate(-45deg);
}

.change .menuButtonBar2 {
    opacity: 0;
}

.change .menuButtonBar3 {
    -webkit-transform: translate(0, -8px) rotate(45deg);
    transform: translate(0, -8px) rotate(45deg);
}

.time_num_pessoal {
    width: 5ch;
    display: inline-block;
}

.table_header table,
.table_header table thead th {
    border-bottom: none !important
}

.table_header table,
.table_content table,
.table_footer table {
    table-layout: fixed;
}

.table_content {
    overflow: auto;
}

.table_content .limitSize {
    min-height: 300px;
}

.table_divider {
    background-color: #dee2e6;
}

.table_header .navigation {
    vertical-align: middle;
    font-size: 25px;
    padding: 0 5px 0 0;
}

.table_header th {
    padding: 0;
    min-width: 35px;
    vertical-align: middle;
    text-align: center;
    white-space: nowrap;
    overflow: hidden;
}

.table_header thead {
    background-color: white;
}

.tempo_pessoal_div {
    width: 100%;
    min-height: 200px;
    height: 100px;
    overflow: auto;
}

.table_centered th {
    text-align: center;
}

.noUpperBorder tr:nth-of-type(1) td,
.noUpperBorder tr:nth-of-type(1) th {
    border-top: 0;
}

.table_centered td {
    vertical-align: middle;
    text-align: center;
}

.table_content td,
#tempo_pessoal_table td,
#tempo_pessoal_table th {
    vertical-align: middle;
    padding: 5px 8px;
}

.table_content td:not(:first-child),
.table_footer td:not(:first-child),
#tempo_pessoal_table td:not(:first-child),
#tempo_pessoal_table th:not(:first-child) {
    text-align: center;
    padding: 5px;
}

.table_content tbody tr td:not(:first-child):hover {
    outline: 2px solid grey;
    outline-offset: -2px;
}

#tempo_pessoal_table tbody tr td img,
#resumoDiv table tbody tr td img,
#main_table tbody tr td img {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
}

#tempo_pessoal_table tbody tr:hover td img,
#resumoDiv table tbody tr:hover td img,
#main_table tbody tr:hover td img {
    -webkit-transform: scale(1.6);
    transform: scale(1.6);
}

.tempo_pessoal_Sun {
    background-color: darkgray !important;
}

.tempo_pessoal_Sat {
    background-color: lightgray !important;
}

.tempo_pessoal_feriado {
    background-color: lightblue !important;
}

.tempo_pessoal_vazio {
    background-color: lightpink;
}

.tempo_pessoal_emFalta {
    background-color: lightcyan;
}

.tempo_pessoal_aConfirmar {
    background-color: lightskyblue;
}

.tempo_pessoal_excesso3 {
    background-color: lightcoral;
}

.tempo_pessoal_excesso2 {
    background-color: lightsalmon;
}

.tempo_pessoal_excesso1 {
    background-color: rgb(252, 252, 127);
}

.tabela_meteo {
    height: 35px;
}

@media screen and (min-width: 480px) {

    .table_header th:first-child,
    .table_content td:first-child,
    .table_footer td:first-child {
        width: 220px;
    }
}

@media screen and (max-width: 477.98px) {

    .table_header th:first-child,
    .table_content td:first-child,
    .table_footer td:first-child {
        width: 85px;
    }
}

#pessoalSearchResult {
    position: absolute;
    max-height: 105px;
    overflow: auto;
}

.copyActivate,
.selectActivate {
    outline: 3px solid dimgray;
    outline-offset: -6px;
}

.innerInput {
    width: 100%;
    border: 0;
    text-align: center;
    padding: 0;
}

.innerInputError {
    outline: red solid 3px;
}

.hasNote {
    background-image: linear-gradient(225deg, red, red 5px, transparent 5px, transparent);
}

.floating {
    height: 35px;
    width: 35px;
    position: fixed;
    right: 10px;
    border-radius: 100%;
    border: 1px solid transparent;
    text-align: center;
    z-index: 99999;
}

.modal_link {
    cursor: pointer;
}

.inputWithImage {
    padding-left: 40px;
}

.datepicker {
    padding: 0.375rem 0.75rem !important;
}

.red {
    color: red !important;
}

.align-bottomRight {
    text-align: right;
    vertical-align: bottom;
}

.bordelessControl {
    border: 0;
    width: 90%;
    text-align: right;
    padding: 2px;
}

.bordelessControl:hover {
    background-color: #ECECEC;
}

.push-back {
    z-index: 100;
}

.modal {
    overflow-y: auto;
}

.truncate {
    text-overflow: ellipsis;
    white-space: nowrap;
    overflow: hidden
}

/* coloca o cursur de mover sobre o header dos modais */
.modal-header {
    cursor: move;
}

/* efeito de linha de tabela riscado */
tr.strikeText td:before {
    content: " ";
    position: absolute;
    display: inline-block;
    padding: 5px 10px;
    left: 20px;
    right: 20px;
    border-bottom: 2px solid darkgray;
}

/* hover sobre o elemento, muda dar cor original para vermelho */
.hoverDanger:hover {
    color: #dc3545;
}

/* hover sobre o elemento, muda dar cor original para branco */
.hoverInvert:hover {
    color: whitesmoke;
}

/* classes que controlam o aparecimento/desaparecimento de elemento com animação */
.hidden {
    overflow: hidden;
    /* Hide the element content, while height = 0 */
    height: 0;
    opacity: 0;
    transition: height 0ms 400ms, opacity 400ms 0ms;
}

.shown {
    height: auto;
    opacity: 1;
    transition: height 0ms 0ms, opacity 600ms 0ms;
}

/*classe que permite ter texto sob uma caixa de texto como o invalid feedback, mas em negro */
.feedbackText {
    width: 100%;
    margin-top: 0.25rem;
    font-size: 80%;
}

/*classe para permitir tabelas fantasma */
.ghost_table,
.ghost_table tr,
.ghost_table td {
    border: none;
    max-height: 1px
}

.ghost_table td {
    height: 1px;
    width: 1px
}

/*classe para inputs com moeda alinhar à direita
.currency {
    text-align: right;
} */

.zoomImg img {
    -webkit-transform: scale(1);
    transform: scale(1);
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
}

.zoomImg:hover img {
    -webkit-transform: scale(1.1);
    transform: scale(1.1);
}

/*controlar os botões de colapsar e expandir os paines*/
#shrinkPannel,
#expandPannel {
    position: absolute;
    overflow: hidden;
    width: 4px;
    height: 50px;
    background-color: #E9ECEF;
    top: 10px;
    z-index: 150;
    -webkit-transition: .3s ease-in-out;
    transition: .3s ease-in-out;
}

#shrinkPannel {
    right: 1px;
}

#expandPannel {
    left: 1px;
    z-index: 9999;
}

#shrinkPannel:hover {
    cursor: pointer;
    width: 35px;
    right: -30px;
}

#expandPannel:hover {
    cursor: pointer;
    width: 30px;
    left: -25px;
    z-index: 10001;
}

body .datepicker {
    z-index: 1060 !important;
}

/* permite aos selectipicker ficar acima dos menus */
[data-toggle="dropdown"] + div {
    z-index: 1061 !important;
}

.rounded-top {
    border-bottom-left-radius: 0 !important;
    border-bottom-right-radius: 0 !important;
}

.rounded-bottom {
    border-top-left-radius: 0 !important;
    border-top-right-radius: 0 !important;
}